
      ***************************************************************
      * VERSION:     1.0
      * COPYRIGHT:
      *
      *   (C) COPYRIGHT International Business Machines Corp. 1993, 1997
      *   All Rights Reserved
      *   Licensed Materials - Property of IBM
      *
      *   US Government Users Restricted Rights - Use, duplication or
      *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
      *
      *
      ***************************************************************
      *****************************************************************
      *    Program to be called for demo at CICS Tech Conference      *
      *    Inquiry only
      *****************************************************************
       IDENTIFICATION DIVISION.
       PROGRAM-ID. EMPNAREQ.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01  RESP-FLD                     PIC S9(8) COMP.
       01  CSMT-MSG                     PIC X(80).
       01  THIS-USER                    PIC X(8).
       01  FILE-LAYOUT.
           05  FILE-EMP-NO              PIC X(6).
           05  FILE-FIRST-NAME          PIC X(20).
           05  FILE-LAST-NAME           PIC X(20).
       LINKAGE SECTION.
       01  DFHCOMMAREA.
           05  COMM-RETURN-CODE            PIC X(4).
           05  COMM-EMP-NO                 PIC X(6).
           05  COMM-FIRST-NAME             PIC X(20).
           05  COMM-LAST-NAME              PIC X(20).
       PROCEDURE DIVISION.
            IF EIBCALEN NOT = 50 THEN
              EXEC CICS ABEND ABCODE('DDW1') END-EXEC.

           EXEC CICS READ FILE('EMPLOYEE') 
                          RIDFLD(COMM-EMP-NO) 
                          INTO(FILE-LAYOUT)
                          RESP(RESP-FLD)
                          END-EXEC.

           MOVE '0000' TO COMM-RETURN-CODE.
           MOVE SPACE  TO COMM-FIRST-NAME COMM-LAST-NAME.
           EXEC CICS ASSIGN USERID(THIS-USER) END-EXEC.
           STRING 'EMPNAREQ: User ' THIS-USER 
                  ' requested info on user ' 
                  COMM-EMP-NO DELIMITED BY SIZE
                  INTO CSMT-MSG.
           EXEC CICS WRITEQ TD QUEUE('CSMT')
                          FROM(CSMT-MSG)
                          END-EXEC.
           EVALUATE RESP-FLD
              WHEN DFHRESP(NORMAL)
                  MOVE FILE-FIRST-NAME  TO COMM-FIRST-NAME
                  MOVE FILE-LAST-NAME   TO COMM-LAST-NAME
              WHEN DFHRESP(NOTFND)
                  MOVE '> Employee not found'
                                        TO COMM-LAST-NAME
              WHEN OTHER
                  MOVE '> File Error <' TO COMM-LAST-NAME
           END-EVALUATE.

           EXEC CICS RETURN END-EXEC.
